Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.localsearch
Class LocalSearchStepScope

    java.lang.Object
      org.drools.planner.core.phase.step.AbstractStepScope
          org.drools.planner.core.localsearch.LocalSearchStepScope

    public class LocalSearchStepScope

extends AbstractStepScope

Field Summary

Fields inherited from class org.drools.planner.core.phase.step.AbstractStepScope
`bestScoreImproved, clonedSolution, score, solutionInitialized, stepIndex`

Constructor Summary
`LocalSearchStepScope(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)`

Method Summary
`Comparator<Score>` | `getDeciderScoreComparator()`
`LocalSearchSolverPhaseScope` | `getLocalSearchSolverPhaseScope()`
`AbstractSolverPhaseScope` | `getSolverPhaseScope()`
`Move` | `getStep()`
`String` | `getStepString()`
`double` | `getTimeGradient()`
`Move` | `getUndoStep()`
`void` | `setDeciderScoreComparator(Comparator<Score> deciderScoreComparator)`
`void` | `setStep(Move step)`
`void` | `setStepString(String stepString)`
`void` | `setTimeGradient(double timeGradient)`
`void` | `setUndoStep(Move undoStep)`

Methods inherited from class org.drools.planner.core.phase.step.AbstractStepScope
`createOrGetClonedSolution, getBestScoreImproved, getClonedSolution, getScore, getStepIndex, getWorkingMemory, getWorkingRandom, getWorkingSolution, isSolutionInitialized, setBestScoreImproved, setClonedSolution, setScore, setSolutionInitialized, setStepIndex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalSearchStepScope

    public LocalSearchStepScope(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)

Method Detail

### getLocalSearchSolverPhaseScope

    public LocalSearchSolverPhaseScope getLocalSearchSolverPhaseScope()

### getSolverPhaseScope

    public AbstractSolverPhaseScope getSolverPhaseScope()

  Specified by:
    `getSolverPhaseScope` in class `AbstractStepScope`

### getTimeGradient

    public double getTimeGradient()

### setTimeGradient

    public void setTimeGradient(double timeGradient)

### getDeciderScoreComparator

    public Comparator<Score> getDeciderScoreComparator()

### setDeciderScoreComparator

    public void setDeciderScoreComparator(Comparator<Score> deciderScoreComparator)

### getStep

    public Move getStep()

### setStep

    public void setStep(Move step)

### getStepString

    public String getStepString()

  Returns:
    null if logging level is to high

### setStepString

    public void setStepString(String stepString)

### getUndoStep

    public Move getUndoStep()

### setUndoStep

    public void setUndoStep(Move undoStep)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JBoss by Red Hat. All Rights Reserved.